Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227553 - gnome-mime-data: change to noarch
Summary: gnome-mime-data: change to noarch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-mime-data
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 225824
TreeView+ depends on / blocked
 
Reported: 2007-02-06 20:10 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 2.18.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 21:27:29 UTC


Attachments (Terms of Use)
Specfile patch (deleted)
2007-02-06 20:10 UTC, Ville Skyttä
no flags Details | Diff
Source patch (deleted)
2007-02-06 20:10 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-06 20:10:18 UTC
The gnome-mime-data specfile contains a warning about /usr/lib/pkgconfig not
being  noarch, which is correct.  However, the package can be trivially made
noarch by removing useless entries from the pkgconfig file and installing it to
/usr/share/pkgconfig.

Patches to accomplish this attached, see also bug 225095 and
https://bugs.freedesktop.org/show_bug.cgi?id=9789

Comment 1 Ville Skyttä 2007-02-06 20:10:18 UTC
Created attachment 147512 [details]
Specfile patch

Comment 2 Ville Skyttä 2007-02-06 20:10:59 UTC
Created attachment 147513 [details]
Source patch

Comment 3 Ray Strode [halfline] 2007-04-02 20:13:03 UTC
seems like a reasonable enough patch, we should get it upstream first though. 
On the other hand, I don't even remember why we still ship gnome-mime-data.

Jonathan, Alex, either of you guys know?

Comment 4 Alexander Larsson 2007-04-03 09:28:24 UTC
Its still used by some backwards compat API in gnome-vfs.


Comment 5 Ray Strode [halfline] 2007-04-03 14:24:16 UTC
So, if this is only to provide input data for some deprecated interfaces then it
might be better to just leave it be so the dust doesn't spread everywhere.

Comment 6 Bastien Nocera 2007-04-03 18:03:16 UTC
Fixed in gnome-mime-data 2.18.0 at:
http://download.gnome.org/sources/gnome-mime-data/2.18/

Comment 7 Ville Skyttä 2007-05-01 21:27:29 UTC
Also apparently in 2.18.0-2 in Rawhide, thanks.


Note You need to log in before you can comment on or make changes to this bug.